Alte Firefoxversionen (Downloadlinks)

Manchmal fragen Leute wo man alte Firefox Versionen herunterladen kann. Häufig haben sie ein Problem, das erst seit einem Update besteht, und möchten dieses Problem lösen, indem sie die „alte“ Version wieder installieren.

Das ist gleich aus mehreren Gründen eine schlechte Idee:

  • Mit jeder Firefoxversion werden Sicherheitslücken geschlossen, die es z.B ermöglichen unbemerkt Schadsoftware zu installieren.
  • Mit jeder neuen Version wird z.B. an der Unterstützung von modernen Webstandards gearbeitet, so das Firefox möglicherweise Probleme mit der Seitendarstellung bekommt wenn veraltete Versionen laufen.

Außerdem wird ja die Ursache des Problems dadurch nicht beseitigt. OK, am Anfang hängt man ja nur eine Version hintendran. Aber alle sechs Wochen erscheint eine neue Version von Firefox. Und so ist man dann doch ganz schnell ganz schön weit hinten dran, vor allem was Sicherheitslücken betrifft.

Nehmt das nicht auf die leichte Schulter.

Was also tun? Das Problem muss gelöst werden. Vielleicht ist es nur ein einfaches Problem mit einer Erweiterung, vielleicht hilft es auch den Firefox zu restaurieren, auch ein aktueller Grafiktreiber kann evtl. helfen.

Wenn ihr solche Probleme habt, und nicht weiter wisst, könnt ihr euch z.B. ans deutsche Firefox Forum wenden, dort hilft man euch gerne.

Deutsches Firefox-Forum auf camp-firefox.de (klick!)

Ok, aber es mag ja auch andere Gründe geben alte Firefox Versionen zu installieren. Aber woher nehmen?

Gute Nachrichten: Mozilla, die Organisation hinter Firefox, betreibt selbst ein Archiv mit allen Version die jemals veröffentlicht wurden, für alle Betriebssysteme.

Kein Grund, irgendwo im Internet nach komischen Quellen zu suchen, lasst da die Finger von, man sollte Software eh immer vom Hersteller herunterladen.

OK, also hier der Link:

Zum Firefox-Archiv auf Mozilla.org (klick!)

Das ganze ist so aufgebaut, das man zuerst die gesuchte Version anklickt, dann das Betriebssystem, und dann die Sprachversion (de für Deutsch)

8 Gedanken zu “Alte Firefoxversionen (Downloadlinks)

  1. HILFEEE ….liebe Community, kann mir jemand helfen? Welche „alte“ Version von Firefox brauche ich für meinen alten Mac OSX, 10.7.5 ?
    Ich habe mir (voreilig) das Firefox-Update heruntergeladen, die alte Version wurde dadurch ersetzt, aber die „neue“ funktioniert nicht mit meinem alten Mac. Dies weiß ich aber leider erst jetzt. Was tun?

    Gefällt mir

  2. Naja wenn ESR für Hobby-Firefoxer alias Privatuser nichts ist und wie du eingangs ESR nur eine aufgeschobene Veränderungen pro Anno durchmacht, dann kommen für Firmenkunden ungewohnte Veränderungen mit dem neuen ESR-Update auf und Firmen müssen verläßliche FFs haben und wie sieht es mit Sicherheitsupdate bei ESR aus passiert das auch nur jährlich?

    Dann wäre ESR ja nur ein Notnagel,wo sie nicht alle 6 Wochen mit neue Veränderungen rechnen müßen und wenn ESR Sicherheitslücken bekommen oder kommt ein Supportmensch gegen Aufpreis und schließt die Sicherheitslücke und wegen Datenschutz, weil auf Firmenrechnern ja auch geheime Daten sind muß Firefox immer seine Sicherheitslücken schließen können, ob ESR da die patente Lösung ist wage ich zu bezweifeln und Alternativen als Forks vom Fuchs sind auch nicht die Lösung da sie auch zu selten ihr Browser warten wie Palemoon z.B bei mein Android kannste Palemoon für Android in die Tonne, es bietet nicht mal ansatzweise die Funktionen die Firefox für Android hat, der geschweige denn die Akualisierungen laßen auf sich warten und Seamonkee für Linux ist eigentlich der Clon von Firefox und es gibts noch mehr Forks einige werden von Mozilla betreut andere schimpfen sich von Mozilla unabhängig, aber wer gab ihnen den Quellcode doch Mozilla, überings ich habe ein Link von dem neuen FF Aurora wer es testen will als Infoseite es hat das Upgrade geschafft auf Version 42.0a2 geschafft nur Firefox beta hat es noch nicht auf Version 41 geschafft! Hier der Link:

    https://www.mozilla.org/en-US/firefox/android/42.0a2/auroranotes/

    MfG

    Ralf-Dieter

    Gefällt mir

  3. Warum ist Firefox beta für Android immer noch bei Version 40.0b10 den Finalversion FF für Android hat schon Version 40.0 erreicht und FF Aurora hat den Versionssprung gestern dem 14.August auf Version 42.0a2 geschafft, wann kommt bei Firefox beta für Android die Version 41.0 und wann bekommen die Finalversion für Android und FF beta für Android die neuen Sprachpakete für die Spracheinstellung Aurora und Nightly haben seit dem Upgrade alle Sprachpakete enthalten und bei Fennec FDroid fehlt die About:Feedback-Funktion seit dem Update auf Version 40.0, auch die Sprachpakete fehlen dort, so das ich wie bei Finalversion 40 und FF Beta 40.0b10 für Android nur im Sprachmenü zwischen SystemStandard und US-Englisch, keine Sorge die Apps sind alle auf deutsch nur die direkten Spracheinstellungen auf deutsch fehlen seit dem Update bei einigen Releases!??

    Gefällt mir

  4. Ich halte von ESR für Privatnutzer nichts. Oft haben die Leute Probleme mit einer bestimmten Erweiterung, die mit einer neuen Firefox Version nicht mehr läuft. Und dann denken sie ESR ist die Lösung dafür, weil sie da noch läuft. Aber das Problem ist ja nur verschoben, denn auch ESR macht ja, wie du auch schreibst, ca. ein mal im Jahr einen Versionssprung, aber dann gleich einen richtig großen. Und dann sind die Probleme wieder da, denn behoben wurden sie ja nicht, sondern nur ausgeblendet.

    Gefällt mir

  5. @Jan Manthai

    Hast du schon mal was von Mozilla FF ESR, das wäre ne Alternative für Leute die an den alten FirefoxVersionen kleben und ESR ist am Versionswechsel, den hatte auch bei FF Nightly für Android jetzige Version 43.0a1!

    Gefällt mir

Kommentar verfassen

Trage deine Daten unten ein oder klicke ein Icon um dich einzuloggen:

WordPress.com-Logo

Du kommentierst mit Deinem WordPress.com-Konto. Abmelden / Ändern )

Twitter-Bild

Du kommentierst mit Deinem Twitter-Konto. Abmelden / Ändern )

Facebook-Foto

Du kommentierst mit Deinem Facebook-Konto. Abmelden / Ändern )

Google+ Foto

Du kommentierst mit Deinem Google+-Konto. Abmelden / Ändern )

Verbinde mit %s